/metadata
GET /metadata
GET /metadataGet dataset metadata.
Query Parameters
| Name | Type | Description |
|---|---|---|
accountId | string | Optional account id to resolve metadata against. This parameter is optional. Example: 123456 |
Code Examples
curl --request GET \
--url https://api.lightcast.io/alumni-pathways/metadata \
--header 'accept: application/json' \
--header 'authorization: Bearer <ACCESS_TOKEN>'Response Examples
{
"data": {
"id": "dataset123",
"schema_id": "schema-1",
"account_id": "lcu-123-ddacgr",
"creation_date": "2024-01-13T15:32:16Z",
"ingestion_time": "2024-01-14T10:22:41Z",
"record_count": 204,
"status": "QUEUED",
"status_description": "Waiting to be processed.",
"status_timestamp": "2024-01-14T06:33:10Z",
"taxonomies": {
"lot": "6"
},
"fields": [
"field1",
"field2"
],
"filterable_fields": [
"filter1",
"filter2"
],
"ranking_dimensions": [
"ranking_dimension1",
"ranking_dimension2"
],
"taxonomy_dimensions": [
"lotspecocc",
"lotocc"
],
"metrics": [
"metric1",
"metric2"
],
"tags": [
"tag1",
"tag2"
]
}
}{
"errors": [
{
"status": 403,
"title": "Forbidden",
"detail": "Insufficient permissions"
}
]
}{
"errors": [
{
"status": 404,
"title": "Not found",
"detail": "Invalid request path (dimension: foo): value is not a valid enumeration member; permitted: 'lotocc', 'lotspecocc'"
}
]
}
